Skip to main content
GET
/
applications
/
associated-people
/
{associatedPersonId}
/
kyc-profile
Retrieve verified KYC profile for an associated person
curl --request GET \
  --url https://api.equalsmoney.com/v2/applications/associated-people/{associatedPersonId}/kyc-profile \
  --header 'Authorization: <api-key>'
{
  "associatedPersonId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "kycProfile": [
    {
      "idType": "PASSPORT",
      "idNumber": "123456789",
      "expiryDate": "2030-06-15",
      "issueDate": "2020-06-15",
      "issuerCountry": "GB"
    }
  ],
  "verifiedAt": "2026-04-01T10:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

associatedPersonId
string<uuid>
required

The ID of the associated person to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Response

200 - application/json

OK

associatedPersonId
string<uuid>
required

The ID of the associated person to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

kycProfile
object[]
required
verifiedAt
string<date-time> | null
required

Timestamp at which the identity was verified (ISO 8601 datetime).

Example:

"2026-04-01T10:30:00.000Z"